Bug 210506 - firstboot hangs starting X
firstboot hangs starting X
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2006-10-12 12:13 EDT by Jon Masters
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-30 17:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jon Masters 2006-10-12 12:13:55 EDT
Description of problem:

firstboot tries to spawn X and a bazillion setxkmaps that sit and don't go
anywhere. I'm yet to sit down and figure it out - could do with some advice on
what to look for, but for the moment have disabled this script on my desktop.

Looks like a bug in the NV opensource driver I'm running - adding a killall Xorg
script in the boot sequence gets around this. Any way to avoid trying to run two
X servers at once?

Comment 1 Chris Lumens 2006-10-12 13:35:59 EDT
I thought the million setxkbmap process problem got fixed a while back.  Well,
that still shouldn't be causing problems.  It's just dumb.

Are you starting up with rhgb or not?  If you are, please disable rhgb in grub
and boot up like that.  If X is still busted, ctrl-alt-backspace to kill X and
then look in /tmp for an XConfig.test file, possibly an X log file, and perhaps
a firstboot-crash.log file (depending on how far everything got).  That's the
simplest way to see what's going on.
Comment 2 Matthew Miller 2007-04-06 12:24:38 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]

Note You need to log in before you can comment on or make changes to this bug.